# Uses of Enum Class
io.papermc.paper.entity.LookAnchor

Packages that use LookAnchor
Package
Description
io.papermc.paper.entity
org.bukkit.entity
Interfaces for non-voxel objects that can exist in a `world`, including all players, monsters, projectiles, etc.

## Uses of LookAnchor in io.papermc.paper.entity

Methods in io.papermc.paper.entity that return LookAnchor
Modifier and Type
Method
Description
`static LookAnchor`
LookAnchor.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static LookAnchor[]`
LookAnchor.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

## Uses of LookAnchor in org.bukkit.entity

Methods in org.bukkit.entity with parameters of type LookAnchor
Modifier and Type
Method
Description
`void`
Player.`lookAt(double x, double y, double z, LookAnchor playerAnchor)`
Causes the player to look towards the given position.
`default void`
Player.`lookAt(@NotNull Location location, LookAnchor playerAnchor)`
Causes the player to look towards the given location.
`void`
Player.`lookAt(Entity entity, LookAnchor playerAnchor, LookAnchor entityAnchor)`
Causes the player to look towards the given entity.